Subject: Re: bug#8220: 24.0.50; (On Windows XP) "c:\_emacs" isn't found during startup

From: Eli Zaretskii <[email-masked]>
Date: Fri, 11 Mar 2011 13:23:29 +0200

> Date: Fri, 11 Mar 2011 10:33:26 +0100
> From: Dani Moncayo <[email-masked]>
> Cc: [email-masked]
> 
> On Fri, Mar 11, 2011 at 07:42, Juanma Barranquero <[email-masked]> wrote:
> > On Fri, Mar 11, 2011 at 06:56, Jason Rumney <[email-masked]> wrote:
> >
> >> More accurately, if %HOME% is set explicitly, then init files are searched
> >> there.
> >> Otherwise if c:\.emacs exists, then %HOME% is implicitly set to C:\ (for
> >> backwards compatibility with older versions)
> >
> > Well, sort of, because when HOME is implicitly set to C:\, only the
> > existence of .emacs is checked, not _emacs, while the same is not true
> > for an explicit HOME or for the AppData directory.
> >
> Yes, and I wonder why to have this inconsistency. Why don't check
> always for the same alternatives of init file? Even when checking
> under "C:\"?.

Because we want to deprecate both C:\.emacs and the _emacs features.